#!/bin/sh

set -e

if [ -z "$1" ]
then
	echo "Logo to generate overlay from was not specified."
	exit 1
fi

DIR="$(dirname "$(which "$0")")"

export LOGO_URL="file://$DIR/logoGen/$1.svg"
envsubst < "$DIR/overlay720.svg" > overlay720.tmp.svg

inkscape -o overlay720.png overlay720.tmp.svg
rm overlay720.tmp.svg
